<style type="text/css">
	#searchBar {
		width: 100%;
    	padding-left: 6px;
    	border-radius: 0.3em;
    	height: 29px;
    	line-height: 19px;
	}
    .previous-button ul {
        left: 2em;
    }
    .search-clear-button:before{
        font-size: 20px !important;
        margin-left: 10px;
        color: #909090;
    }
</style>
<ion-view title="Topics">
	    <ion-header-bar class="bar-cyan bar-subheader">
      <input type="text"
             placeholder="Search"
             ng-model="query"
             ng-focus="searchFocused = true"
             ng-blur="searchFocused = false"
             ng-change="searchTopics(query)"
             id="searchBar">
    <button ng-if="query.length" class="button button-icon ion-close-circled input-button search-clear-button" ng-click="clearSearch()" style="position: absolute; right: 0%; top: 3px;"></button>
    </ion-header-bar>
	<ion-content>
        <div class="list">
            <a class="item" ng-href="#/posts/{{topic.stockcode}}" ng-repeat="topic in topics | filter:query">
                 {{topic.stockname}}
            </a>
        </div>
	</ion-content>
</ion-view>
